Page MenuHomePhabricator

CX2: Blinking cursor in the source column
Closed, ResolvedPublic

Description

There is now a blinking cursor in the source paragraphs in Content Translation 2. I'd expect it not to appear, because the text is not actually editable.

Tagging VisualEditor because this may be related to T210142, although it's just a guess. Please remove the tag if it's not related.

Event Timeline

Amire80 created this task.Mar 3 2019, 2:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2019, 2:06 PM

We could hide it using caret-color. We need the cursor to exist to allow inspecting links etc., but we could make it invisible? Not sure if that wouldn’t be too weird.

Well... it's definitely weird when it's seen as a blinking thing.

Hiding using caret-color sounds like a hack, but I guess it's better than seeing a cursor that doesn't write anything.

I think having the cursor visible is probably good for accessibility. The amount of interaction possible in greater than usual for a typical readonly field.

Pginer-WMF added a subscriber: Pginer-WMF.

I think that the text input cursor conveys a strong expectation for allowing input, which is potentially confusing here. I think that clarifying where you can type and where you cannot seems more important than emphasising the additional amount of interactions supported. Our observations suggest that without such cursor users were already interacting with links and other elements to inspect them.

We could hide it using caret-color. We need the cursor to exist to allow inspecting links etc., but we could make it invisible? Not sure if that wouldn’t be too weird.

Thanks for the input. I tried caret-color: transparent; applied to the source document in the browser console and seems to work well.

I think that the text input cursor conveys a strong expectation for allowing input, which is potentially confusing here.

Exactly.

I know that a visible cursor in read-only areas is needed for accessibility for some people, but this should be controlled by the browser and the OS settings for all browser areas, and not for this particular element.

(As a matter of fact, I'll be very happy if some day it will be possible to edit the source article straight from Content Translation, because I find things to fix in the source article almost every time I translate something, but it's really not what this task is about, and it's not a high priority.)

Change 496749 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] Hide the caret (text cursor) when read-only

https://gerrit.wikimedia.org/r/496749

Change 496749 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Hide the caret (text cursor) when read-only

https://gerrit.wikimedia.org/r/496749

Change 496473 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (a61616907)

https://gerrit.wikimedia.org/r/496473

Change 496473 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (a61616907)

https://gerrit.wikimedia.org/r/496473

Ryasmeen edited projects, added Verified; removed Editing QA.Mar 21 2019, 8:53 PM
Pginer-WMF closed this task as Resolved.Mar 28 2019, 5:19 PM
Pginer-WMF claimed this task.